Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 245197

Summary: Please stabilise net-libs/libfwbuilder-2.1.18 and net-firewall/fwbuilder-2.1.18
Product: Gentoo Linux Reporter: Christian Faulhammer (RETIRED) <fauli>
Component: New packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: enhancement Keywords: STABLEREQ
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 251812    
Bug Blocks: 245160    

Description Christian Faulhammer (RETIRED) gentoo-dev 2008-11-01 20:52:23 UTC
This is for GCC 4.3 stabilisation.  Thanks.
Comment 1 Markus Meier gentoo-dev 2008-11-02 15:12:56 UTC
!!! All ebuilds that could satisfy "=net-firewall/fwbuilder-2.1.18" have been masked.
!!! One of the following masked packages is required to complete your request:
- net-firewall/fwbuilder-2.1.18 (masked by: EAPI 2, invalid: SLOT is undefined)
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-11-06 18:16:55 UTC
a) EAPI-2 (comment #1)
b) security bug, need not waste time on stabling this and then someone working on a new ebuild, etc.

Both of the above are serious blockers to stablization.

Therefore, removing arches and putting it back in your court, Christian. 
Comment 3 Christian Faulhammer (RETIRED) gentoo-dev 2008-11-06 18:53:00 UTC
(In reply to comment #2)
> a) EAPI-2 (comment #1)
> b) security bug, need not waste time on stabling this and then someone working
> on a new ebuild, etc.
> 
> Both of the above are serious blockers to stablization.
> 
> Therefore, removing arches and putting it back in your court, Christian. 

 Thanks...I filed maybe a hundred bugs for GCC stabilisations, so I cannot really track all those in details.  I would really appreciate somethings managed by someone else.  Will you help me?
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-12-21 03:59:06 UTC
Adding back arches but the portage stablereq needs to be done first... when the time is ripe.

(I think I was wrong about the previous security bug blocking this one, so I removed that again)

Needed for gcc-4.3 stabilization
Comment 5 Friedrich Oslage (RETIRED) gentoo-dev 2008-12-31 20:16:25 UTC
Sparc keyword was dropped because of bug #187186 and we are still not closer to getting antlr to work so there's nothing we can do.

Feel free to remove our last stable version once gcc 4.3 goes stable
Comment 6 nixnut (RETIRED) gentoo-dev 2009-01-03 15:17:01 UTC
ppc stable
Comment 7 Markus Meier gentoo-dev 2009-01-04 17:30:57 UTC
amd64/x86 stable
Comment 8 Brent Baude (RETIRED) gentoo-dev 2009-01-07 20:22:17 UTC
ppc64 done